KIE.AI
old-model
  • All Model
  • old-model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
old-model
  • All Model
  • old-model
old-model
  • All Model
  • old-model
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
  1. voice
  • Suno API Quickstart
  • Music Generation
    • Music Cover Generation Callbacks
    • Music Generation Callbacks
    • Music Extension Callbacks
    • Audio Upload and Cover Callbacks
    • Audio Upload and Extension Callbacks
    • Add Instrumental Callbacks
    • Add Vocals Callbacks
    • Replace Music Section Callbacks
    • Generate Music
      POST
    • Extend Music
      POST
    • Upload And Cover Audio
      POST
    • Upload And Extend Audio
      POST
    • Add Instrumental to Music
      POST
    • Add Vocals to Music
      POST
    • Get Music Task Details
      GET
    • Get Timestamped Lyrics
      POST
    • Boost Music Style
      POST
    • Generate Music Cover
      POST
    • Get Cover Generation Details
      GET
    • Replace Music Section
      POST
    • Generate Persona
      POST
    • Generate Mashup Music
      POST
    • Recovery Audio
      POST
  • Lyrics Generation
    • Lyrics Generation Callbacks
    • Generate Lyrics
    • Get Lyrics Task Details
  • WAV Conversion
    • Convert to WAV Callbacks
    • Convert to WAV Format
    • Get WAV Conversion Details
  • Vocal Removal
    • Audio Separation Callbacks
    • MIDI Generation Callbacks
    • Vocal & Instrument Stem Separation
    • Get Vocal Separation Details
    • Generate MIDI from Audio
    • Get MIDI Generation Details
  • Music Video Generation
    • Music Video Generation Callbacks
    • Create Music Video
    • Get Music Video Details
  • Sounds Generation
    • Generate sounds
  • voice
    • Suno Voice Generation Callback
    • Suno Voice Validation Phrase Callback
    • Suno Voice Generate Verification Phrase API
      POST
    • Suno Voice Get Verification Phrase API
      GET
    • Suno Voice Create Custom Voice API
      POST
    • Suno Voice Get Custom Voice Records
      GET
    • Suno Voice Regenerate Verification Phrase
      POST
    • Suno Voice Check Availability API
      POST
  1. voice

Suno Voice Create Custom Voice API

POST
/api/v1/voice/generate
Generate a custom Suno Voice after the user reads the validation phrase.
Submit the original validation task ID, the user's verification audio URL, and optional voice metadata such as voiceName, description, and style. The system will validate the recording and create a reusable custom voice.
For better results, upload or record a singing voice sample. Clean acapella vocals usually produce the most accurate voice profile.

Query Task Status#

After submitting the task, you can check the voice generation progress and obtain the final voiceId through the voice record query endpoint:
Get Voice Record
Learn how to check the custom voice generation status and obtain the generated voiceId
In the production environment, it is recommended to use the callBackUrl parameter to receive automatic notifications when the custom voice is generated, rather than polling the status endpoint.

Use the Generated Voice#

When the task succeeds, the response from the query or callback contains voiceId. You can use this ID in supported Suno generation endpoints that accept a custom voice.
Related resources
Check Voice Availability
Verify whether a generated voice is available for use
General API
View account credits and usage

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/voice/generate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "taskId": "voice_create_001",
    "verifyUrl": "https://example.com/audio/verify_read.mp3",
    "voiceName": "My Voice",
    "description": "created from uploaded voice",
    "style": "Pop, Female Vocal",
    "callBackUrl": "https://example.com/callback/suno/voice_create",
    "singerSkillLevel": "beginner"
}'
Response Response Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "xxx_task_id_xxx"
    }
}
Previous
Suno Voice Get Verification Phrase API
Next
Suno Voice Get Custom Voice Records
Built with